
mkdir -p $MODPATH/system/product/priv-app/Settings/Settings.apk
mkdir -p $MODPATH/settings/res/raw/
cp -rf $MODPATH/system/product/priv-app/Settings/Settings.apk $MODPATH/system/product/priv-app/Settings/Settings.apk
for l in xg lg nd mc;do
 z=`eval echo '$'"$l"`
 if [ $z != 0 ]; then
  cp -rf $TMPDIR/$l/$z/预览/* $MODPATH/settings/res/raw/
  cd $MODPATH/settings/
  $zip -r0 ${MODPATH}/system/product/priv-app/Settings/Settings.apk ./* >/dev/null
  sleep 1
 fi
done
